package com.highqsoft.corbafileserver.generated;


/**
* com/highqsoft/corbafileserver/generated/SeverityFlag.java .
* Generated by the IDL-to-Java compiler (portable), version "3.2"
* from src/main/idl/corbafileserver.idl
* Donnerstag, 16. Juni 2016 10:30 Uhr MESZ
*/


/**
   * The error severity flags.
   */
public class SeverityFlag implements org.omg.CORBA.portable.IDLEntity
{
  private        int __value;
  private static int __size = 4;
  private static com.highqsoft.corbafileserver.generated.SeverityFlag[] __array = new com.highqsoft.corbafileserver.generated.SeverityFlag [__size];

  public static final int _SUCCESS = 0;
  public static final com.highqsoft.corbafileserver.generated.SeverityFlag SUCCESS = new com.highqsoft.corbafileserver.generated.SeverityFlag(_SUCCESS);
  public static final int _INFORMATION = 1;
  public static final com.highqsoft.corbafileserver.generated.SeverityFlag INFORMATION = new com.highqsoft.corbafileserver.generated.SeverityFlag(_INFORMATION);
  public static final int _WARNING = 2;
  public static final com.highqsoft.corbafileserver.generated.SeverityFlag WARNING = new com.highqsoft.corbafileserver.generated.SeverityFlag(_WARNING);
  public static final int _ERROR = 3;
  public static final com.highqsoft.corbafileserver.generated.SeverityFlag ERROR = new com.highqsoft.corbafileserver.generated.SeverityFlag(_ERROR);

  public int value ()
  {
    return __value;
  }

  public static com.highqsoft.corbafileserver.generated.SeverityFlag from_int (int value)
  {
    if (value >= 0 && value < __size)
      return __array[value];
    else
      throw new org.omg.CORBA.BAD_PARAM ();
  }

  protected SeverityFlag (int value)
  {
    __value = value;
    __array[__value] = this;
  }
} // class SeverityFlag
